4.0b3 release

Discussion in 'LSWS 4.1 Release' started by mistwang, Nov 20, 2008.

  1. mistwang

    mistwang LiteSpeed Staff

    Finally, here comes 4.0b3 release. :)

    New features are:
    • mod_security 2.x rule support
    • Improved mod_security audit log, compatible with cPanel mod_security plugin.
    • reorganized real-time status page
    • Large file support for 32bit Linux
    • All bug fixes from 3.3.x releases
    To enable cache for vhost configured through Apache httpd.conf, directive

    CacheEnable ...

    should be set for the vhost or from .htaccess


    only linux package is available now

    i386-std package
    http://www.litespeedtech.com/packages/4.0/lsws-4.0b3-std-i386-linux.tar.gz

    i386-ent package
    http://www.litespeedtech.com/packages/4.0/lsws-4.0b3-ent-i386-linux.tar.gz

    x86_64-ent package
    http://www.litespeedtech.com/packages/4.0/lsws-4.0b3-ent-x86_64-linux.tar.gz
  2. anewday

    anewday Moderator

    Great work! How many betas before the final version?

    PS any updates on this?
  3. mistwang

    mistwang LiteSpeed Staff

    It will be addressed along with the new server status page. This release is only a make up, did not change the way it works or add something new.

    We'd like to have another beta release, then go through two or three Release Candidate releases before the official release. Hopefully, we will move faster than current pace. :)
  4. PSS

    PSS Member

    Will the Release Candidate versions be good for production servers, or the Gold only?
  5. mistwang

    mistwang LiteSpeed Staff

    Release candidates should be pretty stable. For the beta releases, only the new features are not considered stable, as it has not been widely tested.
  6. kc8yds

    kc8yds New Member

    i installed this on both of my servers and got these errors after it started running & it was really slow loading the panel

    2008-11-23 21:54:58.419 WARN [AutoRestarter] forking too frequently, suspend for a while!
    2008-11-23 21:56:02.306 WARN [AutoRestarter] forking too frequently, suspend for a while!
    2008-11-23 21:57:03.414 WARN [AutoRestarter] forking too frequently, suspend for a while!


    installed on centos (5) no control panel -- same on both servers



    if you need any other info just ask
  7. closet geek

    closet geek New Member

    Now that mod_sec v2 compatibility has been added I'm keen to test it. We are using LiteSpeed directly using it's own configuration files i.e. not importing from Apache. How do we set each VirtualHost to use a global mod_sec.conf rules file?
    Last edited: Nov 24, 2008
  8. mistwang

    mistwang LiteSpeed Staff

    Just set the security rule at server level.
  9. mistwang

    mistwang LiteSpeed Staff

    The best option is to let us login to your server and take a look. If it is not possible, you can send us the core files under /tmp/lshttpd/bak_core directory.
  10. closet geek

    closet geek New Member

    So rules can't be imported from a file they must be manually added to the server's overall Filter page?

    Thanks.
  11. mistwang

    mistwang LiteSpeed Staff

    Just copy paste those rules.
  12. closet geek

    closet geek New Member

    Appears to work well. Thanks!
  13. mistwang

    mistwang LiteSpeed Staff

    This problem should have been fixed with the latest build of 4.0b3 package, please download it and give it a try.
  14. LiteSpeeder

    LiteSpeeder New Member

    Does it mean the 4.0b3 version is stable apart from the new features?
  15. mistwang

    mistwang LiteSpeed Staff

    Most likely it is.
  16. Dru

    Dru New Member

    Had a problem this morning with 4.0b3, I restarted the webserver and it wouldn't come back up, I had to rollback to 3.3.22 manually (since the web interface didn't work).

    If I try to upgrade to it again, then it works fine until it's restarted and then it fails again, a little snippet from the error log is below,

    2008-12-03 10:03:16.209 [NOTICE] Loading LiteSpeed/4.0b3 Standard ...
    2008-12-03 10:03:16.322 [NOTICE] [ADMIN] server socket: uds://opt/lsws/admin/tmp/admin.sock.7414
    2008-12-03 10:03:16.322 [NOTICE] Loading configuration from /opt/lsws/conf/httpd_config.xml ...
    2008-12-03 10:03:16.324 [INFO] old priority: 0, new priority: 0
    2008-12-03 10:03:16.324 [INFO] [config:server:basic] For better obscurity, server version number is hidden in the response header.
    2008-12-03 10:03:16.666 [ERROR] HttpListener::start(): Can't listen at address adminListener: Address already in use!
    2008-12-03 10:03:16.666 [ERROR] HttpServer::addListener(adminListener) failed to create new listener
    2008-12-03 10:03:16.666 [ERROR] [config:admin:listener:adminListener] failed to start listener on address *:7080!
    2008-12-03 10:03:16.666 [ERROR] [config:admin:listener] No listener is available for admin virtual host!
    2008-12-03 10:03:16.667 [ERROR] Fatal error in configuration, exit!
  17. closet geek

    closet geek New Member

    Dru,

    I believe we also had this error, it may be related to the fix mistwang has introduced in beta 3. It was a silent fix, so you need to download beta 3 again and install it if you haven't already.

    By the way am I the only person who isn't able to restart via the admin interface? It simply fails to load again? I have to restart via the shell in order for LiteSpeed to actually come back up after a restart.
  18. mistwang

    mistwang LiteSpeed Staff

    Thank your for the bug report.
    "The problem with graceful restart from web console" has been fixed in the latest 4.0b3 release package (today).
  19. closet geek

    closet geek New Member

    Fixed for me!
  20. Dru

    Dru New Member

    Fixed for me too :) Thanks!

Share This Page